Help - Search - Members - Calendar
Full Version: Portabase 1.9 Segfaults
OESF Forums > Distros, Development, and Model Specific Forums > Distro Support and Discussion > pdaXrom
ShiroiKuma
Hi all:

I'm experiencing problems with Portabase 1.9 that I installed from the unstable feed. I can open databases and view them fine, but when I try to enter a new record it always crashes with a segmentation fault.

Anyone seen this behavior?

Is there any other version of Portabase, even earlier, compiled for pdaXrom that wouldn't give me this behavior?
pgas
I think the only version is the one in the unstable feed,
Could this be related to the problems adf is experiencing with qbedic under kde3.4?
ShiroiKuma
QUOTE(pgas @ Jan 4 2006, 07:07 PM)
I think the only version is the one in the unstable feed,
Could this be related to the problems adf is experiencing with qbedic under kde3.4?
*

Ah... you're right, I remember that. I'll go check if it's the libs thing...
ShiroiKuma
It seems to be the same thing, Portabase runs fine under Matchbox, only in KDE is there this problem.

But how can one fix it? Which libs influence this?

I tried running
CODE
LD_LIBRARY_PATH=/usr/lib/qt/lib portabase
but that doesn't help.
ZDevil
Hi, ShiroiKuma,

I recompiled Portabase (with Metakit and Beecrypt), and it seems to work both in matchbox and KDE 3.5. See if it is also working for you. Attached is the stripped binary together with libmk4.so (seems to be required but you may verify that)/ Sorry I haven't packaged them yet, but I will do so if you also find it okay. smile.gif
ShiroiKuma
QUOTE(ZDevil @ Jan 5 2006, 02:23 AM)
I recompiled Portabase (with Metakit and Beecrypt), and it seems to work both in matchbox and KDE 3.5.  See if it is also working for you.  Attached is the stripped binary together with libmk4.so (seems to be required but you may verify that)/  Sorry I haven't packaged them yet, but I will do so if you also find it okay.  smile.gif
*

It works biggrin.gif
Don't seem to need the libmk4.so so far running fine without it. Think you saved me from ditching KDE. Well I still need to work out the Qbedic thing that it doesn't work. Will try to compile Zbedic for pdaXrom, see if that'll work...
ZDevil
QUOTE(ShiroiKuma @ Jan 5 2006, 12:48 PM)
It works  biggrin.gif
Don't seem to need the libmk4.so so far running fine without it. Think you saved me from ditching KDE. Well I still need to work out the Qbedic thing that it doesn't work. Will try to compile Zbedic for pdaXrom, see if that'll work...
*


Great! smile.gif
I'll make a new package (the binary only) after confirming two more things.
One interesing thing: the original package from the unstable feed seems to work too in KDE 3.5. So not absolutely sure if it is really a KDE issue.
Also that older package has separate icons, help, etc, which I may have to add manually to the new one.
And please don't ditch KDE! You've done a great job to make it much more usable. It is a great and promising project for Zaurus indeed.
ZDevil
So here is the new package. Pity that ShiroiKuma is thinking of ditching KDE so perhaps this is not that useful now. Anyway this recompiled one seems to load faster and more stable than the old one in the unstable feed. See if anyone still finds it useful.
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2014 Invision Power Services, Inc.